loci.formats.meta

## Interface MetadataStore

- All Superinterfaces:
    ome.xml.meta.BaseMetadata, ome.xml.meta.MetadataStore
  All Known Subinterfaces:
    IMetadata, OMEXMLMetadata

      public interface MetadataStore
      extends ome.xml.meta.MetadataStore

- - ### Method Summary

    - ### Methods inherited from interface ome.xml.meta.MetadataStore

      `createRoot, getRoot, setArcAnnotationRef, setArcID, setArcLotNumber, setArcManufacturer, setArcModel, setArcPower, setArcSerialNumber, setArcType, setBinaryFileBinData, setBinaryFileBinDataBigEndian, setBinaryFileBinDataCompression, setBinaryFileBinDataLength, setBinaryFileFileName, setBinaryFileMIMEType, setBinaryFileSize, setBinaryOnlyMetadataFile, setBinaryOnlyUUID, setBooleanAnnotationAnnotationRef, setBooleanAnnotationAnnotator, setBooleanAnnotationDescription, setBooleanAnnotationID, setBooleanAnnotationNamespace, setBooleanAnnotationValue, setChannelAcquisitionMode, setChannelAnnotationRef, setChannelColor, setChannelContrastMethod, setChannelEmissionWavelength, setChannelExcitationWavelength, setChannelFilterSetRef, setChannelFluor, setChannelID, setChannelIlluminationType, setChannelLightSourceSettingsAttenuation, setChannelLightSourceSettingsID, setChannelLightSourceSettingsWavelength, setChannelName, setChannelNDFilter, setChannelPinholeSize, setChannelPockelCellSetting, setChannelSamplesPerPixel, setCommentAnnotationAnnotationRef, setCommentAnnotationAnnotator, setCommentAnnotationDescription, setCommentAnnotationID, setCommentAnnotationNamespace, setCommentAnnotationValue, setCreator, setDatasetAnnotationRef, setDatasetDescription, setDatasetExperimenterGroupRef, setDatasetExperimenterRef, setDatasetID, setDatasetImageRef, setDatasetName, setDetectorAmplificationGain, setDetectorAnnotationRef, setDetectorGain, setDetectorID, setDetectorLotNumber, setDetectorManufacturer, setDetectorModel, setDetectorOffset, setDetectorSerialNumber, setDetectorSettingsBinning, setDetectorSettingsGain, setDetectorSettingsID, setDetectorSettingsIntegration, setDetectorSettingsOffset, setDetectorSettingsReadOutRate, setDetectorSettingsVoltage, setDetectorSettingsZoom, setDetectorType, setDetectorVoltage, setDetectorZoom, setDichroicAnnotationRef, setDichroicID, setDichroicLotNumber, setDichroicManufacturer, setDichroicModel, setDichroicSerialNumber, setDoubleAnnotationAnnotationRef, setDoubleAnnotationAnnotator, setDoubleAnnotationDescription, setDoubleAnnotationID, setDoubleAnnotationNamespace, setDoubleAnnotationValue, setEllipseAnnotationRef, setEllipseFillColor, setEllipseFillRule, setEllipseFontFamily, setEllipseFontSize, setEllipseFontStyle, setEllipseID, setEllipseLocked, setEllipseRadiusX, setEllipseRadiusY, setEllipseStrokeColor, setEllipseStrokeDashArray, setEllipseStrokeWidth, setEllipseText, setEllipseTheC, setEllipseTheT, setEllipseTheZ, setEllipseTransform, setEllipseX, setEllipseY, setExperimentDescription, setExperimenterAnnotationRef, setExperimenterEmail, setExperimenterFirstName, setExperimenterGroupAnnotationRef, setExperimenterGroupDescription, setExperimenterGroupExperimenterRef, setExperimenterGroupID, setExperimenterGroupLeader, setExperimenterGroupName, setExperimenterID, setExperimenterInstitution, setExperimenterLastName, setExperimenterMiddleName, setExperimenterUserName, setExperimentExperimenterRef, setExperimentID, setExperimentType, setFilamentAnnotationRef, setFilamentID, setFilamentLotNumber, setFilamentManufacturer, setFilamentModel, setFilamentPower, setFilamentSerialNumber, setFilamentType, setFileAnnotationAnnotationRef, setFileAnnotationAnnotator, setFileAnnotationDescription, setFileAnnotationID, setFileAnnotationNamespace, setFilterAnnotationRef, setFilterFilterWheel, setFilterID, setFilterLotNumber, setFilterManufacturer, setFilterModel, setFilterSerialNumber, setFilterSetDichroicRef, setFilterSetEmissionFilterRef, setFilterSetExcitationFilterRef, setFilterSetID, setFilterSetLotNumber, setFilterSetManufacturer, setFilterSetModel, setFilterSetSerialNumber, setFilterType, setFolderAnnotationRef, setFolderDescription, setFolderFolderRef, setFolderID, setFolderImageRef, setFolderName, setFolderROIRef, setGenericExcitationSourceAnnotationRef, setGenericExcitationSourceID, setGenericExcitationSourceLotNumber, setGenericExcitationSourceManufacturer, setGenericExcitationSourceMap, setGenericExcitationSourceModel, setGenericExcitationSourcePower, setGenericExcitationSourceSerialNumber, setImageAcquisitionDate, setImageAnnotationRef, setImageDescription, setImageExperimenterGroupRef, setImageExperimenterRef, setImageExperimentRef, setImageID, setImageInstrumentRef, setImageMicrobeamManipulationRef, setImageName, setImageROIRef, setImagingEnvironmentAirPressure, setImagingEnvironmentCO2Percent, setImagingEnvironmentHumidity, setImagingEnvironmentMap, setImagingEnvironmentTemperature, setInstrumentAnnotationRef, setInstrumentID, setLabelAnnotationRef, setLabelFillColor, setLabelFillRule, setLabelFontFamily, setLabelFontSize, setLabelFontStyle, setLabelID, setLabelLocked, setLabelStrokeColor, setLabelStrokeDashArray, setLabelStrokeWidth, setLabelText, setLabelTheC, setLabelTheT, setLabelTheZ, setLabelTransform, setLabelX, setLabelY, setLaserAnnotationRef, setLaserFrequencyMultiplication, setLaserID, setLaserLaserMedium, setLaserLotNumber, setLaserManufacturer, setLaserModel, setLaserPockelCell, setLaserPower, setLaserPulse, setLaserPump, setLaserRepetitionRate, setLaserSerialNumber, setLaserTuneable, setLaserType, setLaserWavelength, setLightEmittingDiodeAnnotationRef, setLightEmittingDiodeID, setLightEmittingDiodeLotNumber, setLightEmittingDiodeManufacturer, setLightEmittingDiodeModel, setLightEmittingDiodePower, setLightEmittingDiodeSerialNumber, setLightPathAnnotationRef, setLightPathDichroicRef, setLightPathEmissionFilterRef, setLightPathExcitationFilterRef, setLineAnnotationRef, setLineFillColor, setLineFillRule, setLineFontFamily, setLineFontSize, setLineFontStyle, setLineID, setLineLocked, setLineMarkerEnd, setLineMarkerStart, setLineStrokeColor, setLineStrokeDashArray, setLineStrokeWidth, setLineText, setLineTheC, setLineTheT, setLineTheZ, setLineTransform, setLineX1, setLineX2, setLineY1, setLineY2, setListAnnotationAnnotationRef, setListAnnotationAnnotator, setListAnnotationDescription, setListAnnotationID, setListAnnotationNamespace, setLongAnnotationAnnotationRef, setLongAnnotationAnnotator, setLongAnnotationDescription, setLongAnnotationID, setLongAnnotationNamespace, setLongAnnotationValue, setMapAnnotationAnnotationRef, setMapAnnotationAnnotator, setMapAnnotationDescription, setMapAnnotationID, setMapAnnotationNamespace, setMapAnnotationValue, setMaskAnnotationRef, setMaskBinData, setMaskBinDataBigEndian, setMaskBinDataCompression, setMaskBinDataLength, setMaskFillColor, setMaskFillRule, setMaskFontFamily, setMaskFontSize, setMaskFontStyle, setMaskHeight, setMaskID, setMaskLocked, setMaskStrokeColor, setMaskStrokeDashArray, setMaskStrokeWidth, setMaskText, setMaskTheC, setMaskTheT, setMaskTheZ, setMaskTransform, setMaskWidth, setMaskX, setMaskY, setMicrobeamManipulationDescription, setMicrobeamManipulationExperimenterRef, setMicrobeamManipulationID, setMicrobeamManipulationLightSourceSettingsAttenuation, setMicrobeamManipulationLightSourceSettingsID, setMicrobeamManipulationLightSourceSettingsWavelength, setMicrobeamManipulationROIRef, setMicrobeamManipulationType, setMicroscopeLotNumber, setMicroscopeManufacturer, setMicroscopeModel, setMicroscopeSerialNumber, setMicroscopeType, setObjectiveAnnotationRef, setObjectiveCalibratedMagnification, setObjectiveCorrection, setObjectiveID, setObjectiveImmersion, setObjectiveIris, setObjectiveLensNA, setObjectiveLotNumber, setObjectiveManufacturer, setObjectiveModel, setObjectiveNominalMagnification, setObjectiveSerialNumber, setObjectiveSettingsCorrectionCollar, setObjectiveSettingsID, setObjectiveSettingsMedium, setObjectiveSettingsRefractiveIndex, setObjectiveWorkingDistance, setPixelsBigEndian, setPixelsBinData, setPixelsBinDataBigEndian, setPixelsBinDataCompression, setPixelsBinDataLength, setPixelsDimensionOrder, setPixelsID, setPixelsInterleaved, setPixelsPhysicalSizeX, setPixelsPhysicalSizeY, setPixelsPhysicalSizeZ, setPixelsSignificantBits, setPixelsSizeC, setPixelsSizeT, setPixelsSizeX, setPixelsSizeY, setPixelsSizeZ, setPixelsTimeIncrement, setPixelsType, setPlaneAnnotationRef, setPlaneDeltaT, setPlaneExposureTime, setPlaneHashSHA1, setPlanePositionX, setPlanePositionY, setPlanePositionZ, setPlaneTheC, setPlaneTheT, setPlaneTheZ, setPlateAcquisitionAnnotationRef, setPlateAcquisitionDescription, setPlateAcquisitionEndTime, setPlateAcquisitionID, setPlateAcquisitionMaximumFieldCount, setPlateAcquisitionName, setPlateAcquisitionStartTime, setPlateAcquisitionWellSampleRef, setPlateAnnotationRef, setPlateColumnNamingConvention, setPlateColumns, setPlateDescription, setPlateExternalIdentifier, setPlateFieldIndex, setPlateID, setPlateName, setPlateRowNamingConvention, setPlateRows, setPlateStatus, setPlateWellOriginX, setPlateWellOriginY, setPointAnnotationRef, setPointFillColor, setPointFillRule, setPointFontFamily, setPointFontSize, setPointFontStyle, setPointID, setPointLocked, setPointStrokeColor, setPointStrokeDashArray, setPointStrokeWidth, setPointText, setPointTheC, setPointTheT, setPointTheZ, setPointTransform, setPointX, setPointY, setPolygonAnnotationRef, setPolygonFillColor, setPolygonFillRule, setPolygonFontFamily, setPolygonFontSize, setPolygonFontStyle, setPolygonID, setPolygonLocked, setPolygonPoints, setPolygonStrokeColor, setPolygonStrokeDashArray, setPolygonStrokeWidth, setPolygonText, setPolygonTheC, setPolygonTheT, setPolygonTheZ, setPolygonTransform, setPolylineAnnotationRef, setPolylineFillColor, setPolylineFillRule, setPolylineFontFamily, setPolylineFontSize, setPolylineFontStyle, setPolylineID, setPolylineLocked, setPolylineMarkerEnd, setPolylineMarkerStart, setPolylinePoints, setPolylineStrokeColor, setPolylineStrokeDashArray, setPolylineStrokeWidth, setPolylineText, setPolylineTheC, setPolylineTheT, setPolylineTheZ, setPolylineTransform, setProjectAnnotationRef, setProjectDatasetRef, setProjectDescription, setProjectExperimenterGroupRef, setProjectExperimenterRef, setProjectID, setProjectName, setReagentAnnotationRef, setReagentDescription, setReagentID, setReagentName, setReagentReagentIdentifier, setRectangleAnnotationRef, setRectangleFillColor, setRectangleFillRule, setRectangleFontFamily, setRectangleFontSize, setRectangleFontStyle, setRectangleHeight, setRectangleID, setRectangleLocked, setRectangleStrokeColor, setRectangleStrokeDashArray, setRectangleStrokeWidth, setRectangleText, setRectangleTheC, setRectangleTheT, setRectangleTheZ, setRectangleTransform, setRectangleWidth, setRectangleX, setRectangleY, setRightsRightsHeld, setRightsRightsHolder, setROIAnnotationRef, setROIDescription, setROIID, setROIName, setRoot, setScreenAnnotationRef, setScreenDescription, setScreenID, setScreenName, setScreenPlateRef, setScreenProtocolDescription, setScreenProtocolIdentifier, setScreenReagentSetDescription, setScreenReagentSetIdentifier, setScreenType, setStageLabelName, setStageLabelX, setStageLabelY, setStageLabelZ, setTagAnnotationAnnotationRef, setTagAnnotationAnnotator, setTagAnnotationDescription, setTagAnnotationID, setTagAnnotationNamespace, setTagAnnotationValue, setTermAnnotationAnnotationRef, setTermAnnotationAnnotator, setTermAnnotationDescription, setTermAnnotationID, setTermAnnotationNamespace, setTermAnnotationValue, setTiffDataFirstC, setTiffDataFirstT, setTiffDataFirstZ, setTiffDataIFD, setTiffDataPlaneCount, setTimestampAnnotationAnnotationRef, setTimestampAnnotationAnnotator, setTimestampAnnotationDescription, setTimestampAnnotationID, setTimestampAnnotationNamespace, setTimestampAnnotationValue, setTransmittanceRangeCutIn, setTransmittanceRangeCutInTolerance, setTransmittanceRangeCutOut, setTransmittanceRangeCutOutTolerance, setTransmittanceRangeTransmittance, setUUID, setUUIDFileName, setUUIDValue, setWellAnnotationRef, setWellColor, setWellColumn, setWellExternalDescription, setWellExternalIdentifier, setWellID, setWellReagentRef, setWellRow, setWellSampleID, setWellSampleImageRef, setWellSampleIndex, setWellSamplePositionX, setWellSamplePositionY, setWellSampleTimepoint, setWellType, setXMLAnnotationAnnotationRef, setXMLAnnotationAnnotator, setXMLAnnotationDescription, setXMLAnnotationID, setXMLAnnotationNamespace, setXMLAnnotationValue`

Copyright © 2026 Open Microscopy Environment